Audio::APE(3pm)

NAME
Audio::APE - An object-oriented interface to Monkey's Audio file information and APE tag fields.

SYNOPSIS
    use Audio::APE;
    my $mac = Audio::APE->new("song.ape");

    foreach (keys %$mac) {
        print "$_: $mac->{$_}\n";
    }

    my $macTags = $mac->tags();

    foreach (keys %$macTags) {
        print "$_: $macTags->{$_}\n";
    }

DESCRIPTION
This module returns a hash containing basic information about a Monkey's Audio file, as well as tag information contained in the Monkey's Audio file's APE tags.

CONSTRUCTORS

•   new( $filename )

    Opens a Monkey's Audio file, ensuring that it exists and is actually an Monkey's Audio stream, then loads the information and comment fields.

INSTANCE METHODS

•   info( [$key] )

    Returns a hashref containing information about the Monkey's Audio file from the file's information header.

    The optional parameter, key, allows you to retrieve a single value from the info hash. Returns "undef" if the key is not found.

•   tags( [$key] )

    Returns a hashref containing tag keys and values of the Monkey's Audio file from the file's APE tags.

    The optional parameter, key, allows you to retrieve a single value from the tag hash. Returns "undef" if the key is not found.

NOTE
This module is now a wrapper around Audio::Scan.

SEE ALSO
<http://www.monkeysaudio.com/>, Audio::Scan

AUTHOR
Dan Sully, <daniel@cpan.org>

Kevin Deane-Freeman, <kevindf at shaw dot ca>, based on other work by Erik Reckase, <cerebusjam at hotmail dot com>, and Dan Sully, <daniel@cpan.org>

COPYRIGHT
Copyright (c) 2004, Kevin Deane-Freeman. Copyright (c) 2005-2007, Dan Sully & Slim Devices. Copyright (c) 2007-2010, Dan Sully.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.2 or, at your option, any later version of Perl 5 you may have available.